Package org.apache.tools.ant.util

# Enum PermissionUtils.FileType

java.lang.Object
java.lang.Enum<PermissionUtils.FileType>
org.apache.tools.ant.util.PermissionUtils.FileType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<PermissionUtils.FileType>`, `java.lang.constant.Constable`

Enclosing class:
  PermissionUtils

    public static enum PermissionUtils.FileType
    extends java.lang.Enum<PermissionUtils.FileType>

The supported types of files, maps to the `isFoo` methods in `BasicFileAttributes`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`DIR` | A directory.
`OTHER` | Something that is neither a regular file nor a directory nor a symbolic link.
`REGULAR_FILE` | A regular file.
`SYMLINK` | A symbolic link.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static PermissionUtils.FileType` | `of​(java.nio.file.Path p)` | Determines the file type of a `Path`.
`static PermissionUtils.FileType` | `of​(Resource r)` | Determines the file type of a `Resource`.
`static PermissionUtils.FileType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static PermissionUtils.FileType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REGULAR_FILE

public static final PermissionUtils.FileType REGULAR_FILE
A regular file.

### DIR

public static final PermissionUtils.FileType DIR
A directory.

### SYMLINK

public static final PermissionUtils.FileType SYMLINK
A symbolic link.

### OTHER

public static final PermissionUtils.FileType OTHER
Something that is neither a regular file nor a directory nor a symbolic link.

## Method Details

### values

public static PermissionUtils.FileType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PermissionUtils.FileType valueOf​(java.lang.String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

### of

public static PermissionUtils.FileType of​(java.nio.file.Path p) throws java.io.IOException
Determines the file type of a `Path`.

Parameters:
  `p` - Path
Returns:
  FileType
Throws:
  `java.io.IOException` - if file attributes cannot be read

### of

public static PermissionUtils.FileType of​(Resource r)
Determines the file type of a `Resource`.

Parameters:
  `r` - Resource
Returns:
  FileType